## cjdns-v21.1.tar.gz

=== node_build/dependencies/cnacl/randombytes/CMakeLists.txt ===
set(impls
    "devurandom"
)
set(impls_Windows
    "CryptGenRandom"
)
if(NOT "${impls_${CMAKE_SYSTEM_NAME}}" STREQUAL "")
    list(INSERT impls 0 ${impls_${CMAKE_SYSTEM_NAME}})
endif()

function(success dir impl)
    message("randombytes() ${impl} -- Succeeded!")
    file(COPY "${dir}/randombytes-impl.h" DESTINATION "${CMAKE_BINARY_DIR}/include_internal")
    file(RENAME
        ${CMAKE_BINARY_DIR}/include_internal/randombytes-impl.h
        ${CMAKE_BINARY_DIR}/include_internal/randombytes.h
    )
    include_directories(${dir})
    add_library(randombytes ${dir}/${impl}.c)
endfunction()


file(READ "${CMAKE_SOURCE_DIR}/randombytes/test.c" testContent)
foreach(impl ${impls})
    set(dir "${CMAKE_BINARY_DIR}/randombytes/${impl}")
    file(MAKE_DIRECTORY ${dir})

    file(COPY "${CMAKE_SOURCE_DIR}/randombytes/${impl}.c" DESTINATION ${dir})
    file(RENAME "${dir}/${impl}.c" "${dir}/test.c")
    file(APPEND "${dir}/test.c" "${testContent}")

    file(COPY "${CMAKE_SOURCE_DIR}/randombytes/${impl}.c" DESTINATION ${dir})
    file(COPY "${CMAKE_SOURCE_DIR}/randombytes/${impl}.h" DESTINATION ${dir})
    file(RENAME "${dir}/${impl}.h" "${dir}/randombytes-impl.h")

    if (CMAKE_CROSSCOMPILING)
        try_compile(compileResult
                    ${dir}
                    ${dir}/test.c
                    OUTPUT_VARIABLE compileOut
        )
        if(NOT compileResult)
            message("randombytes() ${impl} -- Failed to compile [${compileOut}]")
        else()
            success("${dir}" "${impl}")
            break()
        endif()
    else()
        try_run(runResult compileResult
            ${dir}
            ${dir}/test.c
            COMPILE_OUTPUT_VARIABLE compileOut
        )
        if(NOT compileResult)
            message("randombytes() ${impl} -- Failed to compile [${compileOut}]")
        elseif(runResult)
            message("randombytes() ${impl} -- Failed")
        else()
            success(${dir} ${impl})
            break()
        endif()
    endif()
endforeach()

=== node_build/dependencies/cnacl/tests/CMakeLists.txt ===
#
# Public Domain.
#
cmake_minimum_required(VERSION 2.4)


function(dependenciesForFile file operations output)
    # If it's not in the top of the file, we'll just miss it.
    file(STRINGS "${file}" lines LIMIT_COUNT 16)
    foreach(line ${lines})
        if("${line}" MATCHES "#include ")
            foreach(op ${operations})
                if("${line}" MATCHES "${op}.h")
                    list(APPEND outList "${op}")
                endif()
            endforeach()
        endif()
    endforeach()
    set(${output} "${outList}" PARENT_SCOPE)
endfunction()


include_directories(
    "${CMAKE_BINARY_DIR}/include/"
    "${CMAKE_BINARY_DIR}/include_internal/"
)


string(REGEX REPLACE "^.*/" "" main_dir_name ${CMAKE_SOURCE_DIR})
string(REPLACE ${CMAKE_SOURCE_DIR} ${main_dir_name} this_dir ${CMAKE_CURRENT_SOURCE_DIR})
message("-- Tests to run for " ${this_dir})
add_definitions(-g)

include("${CMAKE_SOURCE_DIR}/cmake/Primitives.cmake")
file(STRINGS "${CMAKE_SOURCE_DIR}/OPERATIONS" OPERATIONS)
Primitives_get("${OPERATIONS}" opPrimitives)

# Anything in this dir which ends with ".c" is considered a test.
file(GLOB tests "*.c")
foreach(test_source_fullpath ${tests})
    string(REGEX REPLACE "^.*/" "" test_source ${test_source_fullpath})
    string(REPLACE ".c" "_test" test_bin ${test_source})
    set(allTests "")

    dependenciesForFile(${test_source_fullpath} "${OPERATIONS}" depends)
    foreach(op ${depends})
        foreach(opPrim ${opPrimitives})
            if(${opPrim} MATCHES "^${op}_.*")
                string(REPLACE "${op}_" "" primitive "${opPrim}")
                set(testPrimBin ${test_bin}_${primitive})
                add_executable(${testPrimBin} ${test_source})
                # Replace with target_include_directories when that branch is merged.
                set_property(TARGET ${testPrimBin} APPEND PROPERTY COMPILE_FLAGS
                    "-I${CMAKE_BINARY_DIR}/${op}/${primitive}")
                target_link_libraries(${testPrimBin} randombytes nacl)
                add_test(${testPrimBin} ${testPrimBin})
                list(APPEND allTests ${testPrimBin})
            endif()
        endforeach()
    endforeach()

    if("${depends}" STREQUAL "")
        add_executable(${test_bin} ${test_source})
        target_link_libraries(${test_bin} nacl randombytes)
        add_test(${test_bin} ${test_bin})
        list(APPEND allTests ${test_bin})
    endif()

    # Get expected output.
    foreach(test ${allTests})
        string(REPLACE "_test" "" testOut "${test}")
        if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${testOut}.out")
            set(outFile "${CMAKE_CURRENT_SOURCE_DIR}/${testOut}.out")
        else()
            string(REPLACE "_test" ".out" outFile "${CMAKE_CURRENT_SOURCE_DIR}/${test_bin}")
        endif()
        file(READ ${outFile} test_output)
        set_tests_properties(${test} PROPERTIES PASS_REGULAR_EXPRESSION "^${test_output}$")
    endforeach()
endforeach()
# Add an empty line after tests.
message("")

=== node_build/dependencies/cnacl/crypto_stream/salsa20/armneon6/Makefile ===
xor.s.pure: xor.s
	grep -v -w asm < xor.s | grep -v -w qhasm | grep . > xor.s.pure

xor.s: xor.q
	qhasm-arm-align < xor.q > xor.s

=== node_build/dependencies/cnacl/crypto_stream/salsa20/e/amd64-1/e/Makefile ===

name = salsa20
type = sync
std = -ansi

srcdir = .
root := $(shell \
  cd "$(srcdir)"; root="$(srcdir)"; \
  while [ "`pwd`" != "/" ]; do \
    if [ -r "`pwd`/test/ecrypt-test.mk" ]; then  \
      echo $$root; exit; \
    fi; \
    cd ..; root="$$root"/..; \
  done; \
  echo ".")

include $(root)/test/ecrypt-test.mk

=== debian/control ===
Source: cjdns
Section: comm
Priority: optional
Maintainer: Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>
Build-Depends: debhelper (>= 9.20160114), nodejs (>= 0.8.15) | wget, python (>= 2.7),
               dh-systemd (>= 1.5), dh-python (>= 1.20141111-2)
Standards-Version: 3.9.5
Homepage: https://github.com/cjdelisle/cjdns/
Vcs-Git: git://github.com/cjdelisle/cjdns.git
Vcs-Browser: https://github.com/cjdelisle/cjdns/
X-Python-Version: >= 2.7

Package: cjdns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.7)
Suggests: cjdns-dynamic
Description: Encrypted networking for regular people
 Cjdns implements an encrypted IPv6 network using public key cryptography
 for address allocation and a distributed hash table for routing.
 This provides near zero-configuration networking without many of the security
 and robustness issues that regular IPv4 and IPv6 networks have.

Package: cjdns-dynamic
Architecture: any
Priority: extra
Depends: cjdns (= ${binary:Version}), ${misc:Depends}, python (>= 2.7)
Description: cjdns dynamic DNS peer resolver service
 This package contains a dynamic DNS peer resolver script that allows you to use
 hostnames instead of IP addresses for your cjdns mesh network peers. This
 package is configured through /etc/cjdns-dynamic.conf
